Skip to navigation

Check Virtual Account Status and Details

View as Markdown

The virtual account inquiry endpoint can be used primarily for virtual account status check as well as information purposes.

- Scenario 1: request_id (applicable only for reservation API (verb: POST) request_ids))
- Scenario 2: virtual_account
- Scenario 3: virtual_account, branch_code
- Scenario 4: request_id and virtual_account (preference will be given to virtual_account and the request_id will be ignored)

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Headers

Encrypted-ParamsstringOptional

Encrypt the key values as below:
- Virtual account

Use your digital cert to do the encryption.

virtual_account:
In the GET operation: Virtual account that was reserved as well as activated are allowed
In DELETE operation: Virtual account that was activated is only allowed

Query parameters

client_idstringRequired<=40 characters

Unique reference shared during CitiConnect API onboarding (client_id used during OAuth token generation).

branch_codestringOptional3-4 characters
Citi's bank code associated with given a header account number.
request_idstringOptional1-40 characters

request_id received as part of ‘Reservation API’ response.
Inquiry using the request_id parameter can be done only if the virtual account is not ACTIVATED yet.
Inquiry can be made up to 90 days from the date from which the request_id was created.

Response headers

apim-guidstringOptional
Citi's unique identification for your request.
DeprecationstringOptional

The date when the API was stopped or will be stopped by the system owner. ISO 8601-1:2019 format.

SunsetstringOptional

The date when the API will no longer be supported by the system owner. The API will no longer be responsive and all REQUESTS will generate an error. ISO 8601-1:2019 format.

RateLimit-LimitstringOptional
The rate limit ceiling for that given request measured in a 24 hour cycle.
RateLimit-RemainingstringOptional
The number of requests left in a 15 minute window.
RateLimit-ResetstringOptional

The remaining window before the rate limit resets. ISO 8601-1:2019.

Response

VA Status Inquiry
VirtualAccountInquiryResponseobject
OR
VirtualAccountResponseobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
429
Too Many Requests Error
500
Internal Server Error